<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>screenlets.options.OptionsDialog</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="screenlets-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            >Screenlets 0.1.2</th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="screenlets-module.html">Package&nbsp;screenlets</a> ::
        <a href="screenlets.options-module.html">Module&nbsp;options</a> ::
        Class&nbsp;OptionsDialog
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
        <tr><td align="right"><span class="options"
            >[<a href="frames.html" target="_top">frames</a
            >]&nbsp;|&nbsp;<a href="screenlets.options.OptionsDialog-class.html"
            target="_top">no&nbsp;frames</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class OptionsDialog</h1><span class="codelink"><a href="screenlets.options-pysrc.html#OptionsDialog">source&nbsp;code</a></span><br /><br />
<pre class="base-tree">
        object --+                            
                 |                            
   gobject.GObject --+                        
                     |                        
            gtk.Object --+                    
                         |                    
        object --+       |                    
                 |       |                    
gobject.GInterface --+   |                    
                     |   |                    
  atk.ImplementorIface --+                    
                         |                    
        object --+       |                    
                 |       |                    
gobject.GInterface --+   |                    
                     |   |                    
         gtk.Buildable --+                    
                         |                    
                gtk.Widget --+                
                             |                
                 gtk.Container --+            
                                 |            
                           gtk.Bin --+        
                                     |        
                            gtk.Window --+    
                                         |    
                                gtk.Dialog --+
                                             |
                                            <strong class="uidshort">OptionsDialog</strong>
</pre>

<hr />
A dynamic options-editor for editing Screenlets which are implementing
  the EditableOptions-class.<br /><br />

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="screenlets.options.OptionsDialog-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">width</span>,
        <span class="summary-sig-arg">height</span>)</span><br />
      x.__init__(...) initializes x; see x.__class__.__doc__ for 
      signature</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.options-pysrc.html#OptionsDialog.__init__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="screenlets.options.OptionsDialog-class.html#reset_to_defaults" class="summary-sig-name">reset_to_defaults</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Reset all entries for the currently shown object to their default 
      values (the values the object has when it is first created).</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.options-pysrc.html#OptionsDialog.reset_to_defaults">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="set_info"></a><span class="summary-sig-name">set_info</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">name</span>,
        <span class="summary-sig-arg">info</span>,
        <span class="summary-sig-arg">copyright</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string"></code><code class="variable-quote">'</code></span>,
        <span class="summary-sig-arg">version</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string"></code><code class="variable-quote">'</code></span>,
        <span class="summary-sig-arg">icon</span>=<span class="summary-sig-default">None</span>)</span><br />
      Update the &quot;About&quot;-page with the given information.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.options-pysrc.html#OptionsDialog.set_info">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="screenlets.options.OptionsDialog-class.html#show_options_for_object" class="summary-sig-name">show_options_for_object</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">obj</span>)</span><br />
      Update the OptionsEditor to show the options for the given Object.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.options-pysrc.html#OptionsDialog.show_options_for_object">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="show_themes_for_screenlet"></a><span class="summary-sig-name">show_themes_for_screenlet</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">obj</span>)</span><br />
      Update the Themes-page to display the available themes for the 
      given Screenlet-object.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.options-pysrc.html#OptionsDialog.show_themes_for_screenlet">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="create_about_page"></a><span class="summary-sig-name">create_about_page</span>(<span class="summary-sig-arg">self</span>)</span><br />
      Create the &quot;About&quot;-tab.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.options-pysrc.html#OptionsDialog.create_about_page">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="create_options_page"></a><span class="summary-sig-name">create_options_page</span>(<span class="summary-sig-arg">self</span>)</span><br />
      Create the &quot;Options&quot;-tab.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.options-pysrc.html#OptionsDialog.create_options_page">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="create_themes_page"></a><span class="summary-sig-name">create_themes_page</span>(<span class="summary-sig-arg">self</span>)</span><br />
      Create the &quot;Themes&quot;-tab.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.options-pysrc.html#OptionsDialog.create_themes_page">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="__render_cell"></a><span class="summary-sig-name">__render_cell</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">tvcolumn</span>,
        <span class="summary-sig-arg">cell</span>,
        <span class="summary-sig-arg">model</span>,
        <span class="summary-sig-arg">iter</span>)</span><br />
      Callback for rendering the cells in the theme-treeview.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.options-pysrc.html#OptionsDialog.__render_cell">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="__tree_cursor_changed"></a><span class="summary-sig-name">__tree_cursor_changed</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">treeview</span>)</span><br />
      Callback for handling selection changes in the 
      Themes-treeview.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.options-pysrc.html#OptionsDialog.__tree_cursor_changed">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="screenlets.options.OptionsDialog-class.html#get_widget_for_option" class="summary-sig-name">get_widget_for_option</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">option</span>,
        <span class="summary-sig-arg">value</span>=<span class="summary-sig-default">None</span>)</span><br />
      Return a gtk.*Widget with Label within a HBox for a given 
      option.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.options-pysrc.html#OptionsDialog.get_widget_for_option">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="read_option_from_widget"></a><span class="summary-sig-name">read_option_from_widget</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">widget</span>,
        <span class="summary-sig-arg">option</span>)</span><br />
      Read an option's value from the widget and return it.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.options-pysrc.html#OptionsDialog.read_option_from_widget">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="options_callback"></a><span class="summary-sig-name">options_callback</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">widget</span>,
        <span class="summary-sig-arg">optionobj</span>)</span><br />
      Callback for handling changed-events on entries.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.options-pysrc.html#OptionsDialog.options_callback">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="apply_options_callback"></a><span class="summary-sig-name">apply_options_callback</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">widget</span>,
        <span class="summary-sig-arg">optionobj</span>,
        <span class="summary-sig-arg">entry</span>)</span><br />
      Callback for handling Apply-button presses.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.options-pysrc.html#OptionsDialog.apply_options_callback">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code>gtk.Dialog</code></b>:
      <code>add_action_widget</code>,
      <code>add_button</code>,
      <code>add_buttons</code>,
      <code>do_close</code>,
      <code>do_response</code>,
      <code>get_has_separator</code>,
      <code>get_response_for_widget</code>,
      <code>response</code>,
      <code>run</code>,
      <code>set_alternative_button_order</code>,
      <code>set_default_response</code>,
      <code>set_has_separator</code>,
      <code>set_response_sensitive</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>gtk.Window</code></b>:
      <code>activate_default</code>,
      <code>activate_focus</code>,
      <code>activate_key</code>,
      <code>add_accel_group</code>,
      <code>add_mnemonic</code>,
      <code>begin_move_drag</code>,
      <code>begin_resize_drag</code>,
      <code>deiconify</code>,
      <code>do_activate_default</code>,
      <code>do_activate_focus</code>,
      <code>do_frame_event</code>,
      <code>do_keys_changed</code>,
      <code>do_move_focus</code>,
      <code>do_set_focus</code>,
      <code>fullscreen</code>,
      <code>get_accept_focus</code>,
      <code>get_decorated</code>,
      <code>get_default_size</code>,
      <code>get_deletable</code>,
      <code>get_destroy_with_parent</code>,
      <code>get_focus</code>,
      <code>get_focus_on_map</code>,
      <code>get_frame_dimensions</code>,
      <code>get_gravity</code>,
      <code>get_group</code>,
      <code>get_has_frame</code>,
      <code>get_icon</code>,
      <code>get_icon_list</code>,
      <code>get_icon_name</code>,
      <code>get_mnemonic_modifier</code>,
      <code>get_modal</code>,
      <code>get_opacity</code>,
      <code>get_position</code>,
      <code>get_resizable</code>,
      <code>get_role</code>,
      <code>get_screen</code>,
      <code>get_size</code>,
      <code>get_skip_pager_hint</code>,
      <code>get_skip_taskbar_hint</code>,
      <code>get_title</code>,
      <code>get_transient_for</code>,
      <code>get_type_hint</code>,
      <code>get_urgency_hint</code>,
      <code>has_toplevel_focus</code>,
      <code>iconify</code>,
      <code>is_active</code>,
      <code>maximize</code>,
      <code>mnemonic_activate</code>,
      <code>move</code>,
      <code>parse_geometry</code>,
      <code>present</code>,
      <code>present_with_time</code>,
      <code>propagate_key_event</code>,
      <code>remove_accel_group</code>,
      <code>remove_mnemonic</code>,
      <code>reshow_with_initial_size</code>,
      <code>resize</code>,
      <code>set_accept_focus</code>,
      <code>set_decorated</code>,
      <code>set_default</code>,
      <code>set_default_size</code>,
      <code>set_deletable</code>,
      <code>set_destroy_with_parent</code>,
      <code>set_focus</code>,
      <code>set_focus_on_map</code>,
      <code>set_frame_dimensions</code>,
      <code>set_geometry_hints</code>,
      <code>set_gravity</code>,
      <code>set_has_frame</code>,
      <code>set_icon</code>,
      <code>set_icon_from_file</code>,
      <code>set_icon_list</code>,
      <code>set_icon_name</code>,
      <code>set_keep_above</code>,
      <code>set_keep_below</code>,
      <code>set_mnemonic_modifier</code>,
      <code>set_modal</code>,
      <code>set_opacity</code>,
      <code>set_policy</code>,
      <code>set_position</code>,
      <code>set_resizable</code>,
      <code>set_role</code>,
      <code>set_screen</code>,
      <code>set_skip_pager_hint</code>,
      <code>set_skip_taskbar_hint</code>,
      <code>set_startup_id</code>,
      <code>set_title</code>,
      <code>set_transient_for</code>,
      <code>set_type_hint</code>,
      <code>set_urgency_hint</code>,
      <code>set_wmclass</code>,
      <code>stick</code>,
      <code>tooltips_get_info_from_tip_window</code>,
      <code>unfullscreen</code>,
      <code>unmaximize</code>,
      <code>unstick</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>gtk.Bin</code></b>:
      <code>get_child</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>gtk.Container</code></b>:
      <code>__iter__</code>,
      <code>__len__</code>,
      <code>__nonzero__</code>,
      <code>add</code>,
      <code>add_with_properties</code>,
      <code>check_resize</code>,
      <code>child_get</code>,
      <code>child_get_property</code>,
      <code>child_set</code>,
      <code>child_set_property</code>,
      <code>child_type</code>,
      <code>children</code>,
      <code>do_add</code>,
      <code>do_check_resize</code>,
      <code>do_child_type</code>,
      <code>do_composite_name</code>,
      <code>do_forall</code>,
      <code>do_get_child_property</code>,
      <code>do_remove</code>,
      <code>do_set_child_property</code>,
      <code>do_set_focus_child</code>,
      <code>forall</code>,
      <code>foreach</code>,
      <code>get_border_width</code>,
      <code>get_children</code>,
      <code>get_focus_chain</code>,
      <code>get_focus_hadjustment</code>,
      <code>get_focus_vadjustment</code>,
      <code>get_resize_mode</code>,
      <code>install_child_property</code>,
      <code>list_child_properties</code>,
      <code>propagate_expose</code>,
      <code>remove</code>,
      <code>resize_children</code>,
      <code>set_border_width</code>,
      <code>set_focus_chain</code>,
      <code>set_focus_child</code>,
      <code>set_focus_hadjustment</code>,
      <code>set_focus_vadjustment</code>,
      <code>set_reallocate_redraws</code>,
      <code>set_resize_mode</code>,
      <code>unset_focus_chain</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>gtk.Widget</code></b>:
      <code>activate</code>,
      <code>add_accelerator</code>,
      <code>add_events</code>,
      <code>add_mnemonic_label</code>,
      <code>can_activate_accel</code>,
      <code>child_focus</code>,
      <code>child_notify</code>,
      <code>class_path</code>,
      <code>create_pango_context</code>,
      <code>create_pango_layout</code>,
      <code>destroy</code>,
      <code>do_button_press_event</code>,
      <code>do_button_release_event</code>,
      <code>do_can_activate_accel</code>,
      <code>do_client_event</code>,
      <code>do_composited_changed</code>,
      <code>do_configure_event</code>,
      <code>do_delete_event</code>,
      <code>do_destroy_event</code>,
      <code>do_direction_changed</code>,
      <code>do_drag_begin</code>,
      <code>do_drag_data_delete</code>,
      <code>do_drag_data_get</code>,
      <code>do_drag_data_received</code>,
      <code>do_drag_drop</code>,
      <code>do_drag_end</code>,
      <code>do_drag_leave</code>,
      <code>do_drag_motion</code>,
      <code>do_enter_notify_event</code>,
      <code>do_event</code>,
      <code>do_expose_event</code>,
      <code>do_focus</code>,
      <code>do_focus_in_event</code>,
      <code>do_focus_out_event</code>,
      <code>do_get_accessible</code>,
      <code>do_grab_broken_event</code>,
      <code>do_grab_focus</code>,
      <code>do_grab_notify</code>,
      <code>do_hide</code>,
      <code>do_hide_all</code>,
      <code>do_hierarchy_changed</code>,
      <code>do_key_press_event</code>,
      <code>do_key_release_event</code>,
      <code>do_leave_notify_event</code>,
      <code>do_map</code>,
      <code>do_map_event</code>,
      <code>do_mnemonic_activate</code>,
      <code>do_motion_notify_event</code>,
      <code>do_no_expose_event</code>,
      <code>do_parent_set</code>,
      <code>do_popup_menu</code>,
      <code>do_property_notify_event</code>,
      <code>do_proximity_in_event</code>,
      <code>do_proximity_out_event</code>,
      <code>do_realize</code>,
      <code>do_screen_changed</code>,
      <code>do_scroll_event</code>,
      <code>do_selection_clear_event</code>,
      <code>do_selection_get</code>,
      <code>do_selection_notify_event</code>,
      <code>do_selection_received</code>,
      <code>do_selection_request_event</code>,
      <code>do_show</code>,
      <code>do_show_all</code>,
      <code>do_show_help</code>,
      <code>do_size_allocate</code>,
      <code>do_size_request</code>,
      <code>do_state_changed</code>,
      <code>do_style_set</code>,
      <code>do_unmap</code>,
      <code>do_unmap_event</code>,
      <code>do_unrealize</code>,
      <code>do_visibility_notify_event</code>,
      <code>do_window_state_event</code>,
      <code>drag_begin</code>,
      <code>drag_check_threshold</code>,
      <code>drag_dest_add_image_targets</code>,
      <code>drag_dest_add_text_targets</code>,
      <code>drag_dest_add_uri_targets</code>,
      <code>drag_dest_find_target</code>,
      <code>drag_dest_get_target_list</code>,
      <code>drag_dest_get_track_motion</code>,
      <code>drag_dest_set</code>,
      <code>drag_dest_set_proxy</code>,
      <code>drag_dest_set_target_list</code>,
      <code>drag_dest_set_track_motion</code>,
      <code>drag_dest_unset</code>,
      <code>drag_get_data</code>,
      <code>drag_highlight</code>,
      <code>drag_source_add_image_targets</code>,
      <code>drag_source_add_text_targets</code>,
      <code>drag_source_add_uri_targets</code>,
      <code>drag_source_get_target_list</code>,
      <code>drag_source_set</code>,
      <code>drag_source_set_icon</code>,
      <code>drag_source_set_icon_name</code>,
      <code>drag_source_set_icon_pixbuf</code>,
      <code>drag_source_set_icon_stock</code>,
      <code>drag_source_set_target_list</code>,
      <code>drag_source_unset</code>,
      <code>drag_unhighlight</code>,
      <code>draw</code>,
      <code>ensure_style</code>,
      <code>error_bell</code>,
      <code>event</code>,
      <code>freeze_child_notify</code>,
      <code>get_accessible</code>,
      <code>get_action</code>,
      <code>get_activate_signal</code>,
      <code>get_allocation</code>,
      <code>get_ancestor</code>,
      <code>get_child_requisition</code>,
      <code>get_child_visible</code>,
      <code>get_clipboard</code>,
      <code>get_colormap</code>,
      <code>get_composite_name</code>,
      <code>get_direction</code>,
      <code>get_display</code>,
      <code>get_events</code>,
      <code>get_extension_events</code>,
      <code>get_has_tooltip</code>,
      <code>get_modifier_style</code>,
      <code>get_name</code>,
      <code>get_no_show_all</code>,
      <code>get_pango_context</code>,
      <code>get_parent</code>,
      <code>get_parent_window</code>,
      <code>get_pointer</code>,
      <code>get_root_window</code>,
      <code>get_settings</code>,
      <code>get_size_request</code>,
      <code>get_style</code>,
      <code>get_tooltip_markup</code>,
      <code>get_tooltip_text</code>,
      <code>get_tooltip_window</code>,
      <code>get_toplevel</code>,
      <code>get_visual</code>,
      <code>grab_add</code>,
      <code>grab_default</code>,
      <code>grab_focus</code>,
      <code>grab_remove</code>,
      <code>has_screen</code>,
      <code>hide</code>,
      <code>hide_all</code>,
      <code>hide_on_delete</code>,
      <code>input_shape_combine_mask</code>,
      <code>intersect</code>,
      <code>is_ancestor</code>,
      <code>is_composited</code>,
      <code>is_focus</code>,
      <code>keynav_failed</code>,
      <code>list_mnemonic_labels</code>,
      <code>map</code>,
      <code>menu_get_for_attach_widget</code>,
      <code>modify_base</code>,
      <code>modify_bg</code>,
      <code>modify_cursor</code>,
      <code>modify_fg</code>,
      <code>modify_font</code>,
      <code>modify_style</code>,
      <code>modify_text</code>,
      <code>path</code>,
      <code>queue_clear</code>,
      <code>queue_clear_area</code>,
      <code>queue_draw</code>,
      <code>queue_draw_area</code>,
      <code>queue_resize</code>,
      <code>queue_resize_no_redraw</code>,
      <code>rc_get_style</code>,
      <code>realize</code>,
      <code>region_intersect</code>,
      <code>remove_accelerator</code>,
      <code>remove_mnemonic_label</code>,
      <code>render_icon</code>,
      <code>reparent</code>,
      <code>reset_rc_styles</code>,
      <code>reset_shapes</code>,
      <code>selection_add_target</code>,
      <code>selection_add_targets</code>,
      <code>selection_clear_targets</code>,
      <code>selection_convert</code>,
      <code>selection_owner_set</code>,
      <code>selection_remove_all</code>,
      <code>send_expose</code>,
      <code>set_accel_path</code>,
      <code>set_activate_signal</code>,
      <code>set_app_paintable</code>,
      <code>set_child_visible</code>,
      <code>set_colormap</code>,
      <code>set_composite_name</code>,
      <code>set_direction</code>,
      <code>set_double_buffered</code>,
      <code>set_events</code>,
      <code>set_extension_events</code>,
      <code>set_name</code>,
      <code>set_no_show_all</code>,
      <code>set_parent</code>,
      <code>set_parent_window</code>,
      <code>set_redraw_on_allocate</code>,
      <code>set_scroll_adjustments</code>,
      <code>set_sensitive</code>,
      <code>set_set_scroll_adjustments_signal</code>,
      <code>set_size_request</code>,
      <code>set_state</code>,
      <code>set_style</code>,
      <code>set_tooltip_markup</code>,
      <code>set_tooltip_text</code>,
      <code>set_tooltip_window</code>,
      <code>set_uposition</code>,
      <code>set_usize</code>,
      <code>shape_combine_mask</code>,
      <code>show</code>,
      <code>show_all</code>,
      <code>show_now</code>,
      <code>size_allocate</code>,
      <code>size_request</code>,
      <code>style_get_property</code>,
      <code>thaw_child_notify</code>,
      <code>translate_coordinates</code>,
      <code>trigger_tooltip_query</code>,
      <code>unmap</code>,
      <code>unparent</code>,
      <code>unrealize</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>gtk.Object</code></b>:
      <code>do_destroy</code>,
      <code>flags</code>,
      <code>remove_data</code>,
      <code>remove_no_notify</code>,
      <code>set_flags</code>,
      <code>unset_flags</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>gobject.GObject</code></b>:
      <code>__cmp__</code>,
      <code>__delattr__</code>,
      <code>__gdoc__</code>,
      <code>__gobject_init__</code>,
      <code>__hash__</code>,
      <code>__new__</code>,
      <code>__repr__</code>,
      <code>__setattr__</code>,
      <code>chain</code>,
      <code>connect</code>,
      <code>connect_after</code>,
      <code>connect_object</code>,
      <code>connect_object_after</code>,
      <code>disconnect</code>,
      <code>disconnect_by_func</code>,
      <code>emit</code>,
      <code>emit_stop_by_name</code>,
      <code>freeze_notify</code>,
      <code>get_data</code>,
      <code>get_properties</code>,
      <code>get_property</code>,
      <code>handler_block</code>,
      <code>handler_block_by_func</code>,
      <code>handler_disconnect</code>,
      <code>handler_is_connected</code>,
      <code>handler_unblock</code>,
      <code>handler_unblock_by_func</code>,
      <code>notify</code>,
      <code>props</code>,
      <code>set_data</code>,
      <code>set_properties</code>,
      <code>set_property</code>,
      <code>stop_emission</code>,
      <code>thaw_notify</code>,
      <code>weak_ref</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>atk.ImplementorIface</code></b>:
      <code>ref_accessible</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>gtk.Buildable</code></b>:
      <code>add_child</code>,
      <code>construct_child</code>,
      <code>do_add_child</code>,
      <code>do_construct_child</code>,
      <code>do_get_internal_child</code>,
      <code>do_parser_finished</code>,
      <code>do_set_name</code>,
      <code>get_internal_child</code>,
      <code>parser_finished</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
      <code>__getattribute__</code>,
      <code>__reduce__</code>,
      <code>__reduce_ex__</code>,
      <code>__str__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== CLASS VARIABLES ==================== -->
<a name="section-ClassVariables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Class Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-ClassVariables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="__shown_object"></a><span class="summary-name">__shown_object</span> = <code title="None">None</code>
    </td>
  </tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code>gtk.Dialog</code></b>:
      <code>__gtype__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== PROPERTIES ==================== -->
<a name="section-Properties"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Properties</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Properties"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code>gtk.Dialog</code></b>:
      <code>action_area</code>,
      <code>vbox</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>gtk.Window</code></b>:
      <code>allow_grow</code>,
      <code>allow_shrink</code>,
      <code>configure_notify_received</code>,
      <code>configure_request_count</code>,
      <code>decorated</code>,
      <code>default_widget</code>,
      <code>destroy_with_parent</code>,
      <code>focus_widget</code>,
      <code>frame</code>,
      <code>frame_bottom</code>,
      <code>frame_left</code>,
      <code>frame_right</code>,
      <code>frame_top</code>,
      <code>gravity</code>,
      <code>group</code>,
      <code>has_focus</code>,
      <code>has_frame</code>,
      <code>has_user_ref_count</code>,
      <code>iconify_initially</code>,
      <code>keys_changed_handler</code>,
      <code>maximize_initially</code>,
      <code>mnemonic_modifier</code>,
      <code>modal</code>,
      <code>need_default_position</code>,
      <code>need_default_size</code>,
      <code>position</code>,
      <code>stick_initially</code>,
      <code>title</code>,
      <code>transient_parent</code>,
      <code>type</code>,
      <code>type_hint</code>,
      <code>wm_role</code>,
      <code>wmclass_class</code>,
      <code>wmclass_name</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>gtk.Bin</code></b>:
      <code>child</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>gtk.Container</code></b>:
      <code>border_width</code>,
      <code>focus_child</code>,
      <code>has_focus_chain</code>,
      <code>need_resize</code>,
      <code>reallocate_redraws</code>,
      <code>resize_mode</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>gtk.Widget</code></b>:
      <code>allocation</code>,
      <code>name</code>,
      <code>parent</code>,
      <code>saved_state</code>,
      <code>state</code>,
      <code>style</code>,
      <code>window</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>gobject.GObject</code></b>:
      <code>__grefcount__</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
      <code>__class__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Method Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-MethodDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="__init__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">width</span>,
        <span class="sig-arg">height</span>)</span>
    <br /><em class="fname">(Constructor)</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="screenlets.options-pysrc.html#OptionsDialog.__init__">source&nbsp;code</a></span>&nbsp;
    </td>
  </table>
  
  x.__init__(...) initializes x; see x.__class__.__doc__ for 
  signature
  <dl class="fields">
    <dt>Overrides:
      gtk.Dialog.__init__
        <dd><em class="note">(inherited documentation)</em></dd>
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="reset_to_defaults"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">reset_to_defaults</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="screenlets.options-pysrc.html#OptionsDialog.reset_to_defaults">source&nbsp;code</a></span>&nbsp;
    </td>
  </table>
  
  Reset all entries for the currently shown object to their default 
  values (the values the object has when it is first created). NOTE: This 
  function resets ALL options, so BE CARFEUL!
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="show_options_for_object"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">show_options_for_object</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">obj</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="screenlets.options-pysrc.html#OptionsDialog.show_options_for_object">source&nbsp;code</a></span>&nbsp;
    </td>
  </table>
  
  <pre class="literalblock">
Update the OptionsEditor to show the options for the given Object.
The Object needs to be an EditableOptions-subclass.
NOTE: This needs heavy improvement and should use OptionGroups once
      they exist

</pre>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="get_widget_for_option"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_widget_for_option</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">option</span>,
        <span class="sig-arg">value</span>=<span class="sig-default">None</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="screenlets.options-pysrc.html#OptionsDialog.get_widget_for_option">source&nbsp;code</a></span>&nbsp;
    </td>
  </table>
  
  Return a gtk.*Widget with Label within a HBox for a given option. 
  NOTE: This is incredibly ugly, ideally all Option-subclasses should have 
  their own widgets - like StringOptionWidget, ColorOptionWidget, ... and 
  then be simply created dynamically
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="screenlets-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            >Screenlets 0.1.2</th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0beta1 on Wed Jun  4 18:52:58 2008
    </td>
    <td align="right" class="footer">
      <a href="http://epydoc.sourceforge.net">http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie()
  // -->
</script>
  
</body>
</html>
